Page MenuHomePhabricator

eolian: separate modern and legacy APIs
Closed, ResolvedPublic

Description

We will need to move legacy APIs away from .eo files used for modern APIs, either into manual headers, a dedicated frozen copy of Eolian or some other means. @stephenmhouston was working on finding out what to do. It is currently not yet fully decided, but keep track of it anyway.

q66 created this task.Nov 14 2018, 5:25 AM
q66 triaged this task as TODO priority.
q66 moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.
zmike added a subscriber: zmike.Jan 9 2019, 11:39 AM

The current plan for this seems to be as follows:

  1. locally modify eolian to output legacy-only code/headers with legacy-specific filenames
  2. add void statements for eo events to force renaming in legacy code when eo event names change
  3. add output files to git+build
  4. remove legacy from eo files
  5. remove legacy from eolian
q66 closed this task as Resolved.May 9 2019, 5:25 AM

This has been done for a while.